net.minecraftforge.event.terraingen

## Enum OreGenEvent.GenerateMinable.EventType

- java.lang.Object
- - java.lang.Enum<OreGenEvent.GenerateMinable.EventType>
  - - net.minecraftforge.event.terraingen.OreGenEvent.GenerateMinable.EventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OreGenEvent.GenerateMinable.EventType>
  Enclosing class:
    OreGenEvent.GenerateMinable

      public static enum OreGenEvent.GenerateMinable.EventType
      extends java.lang.Enum<OreGenEvent.GenerateMinable.EventType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COAL`
    `CUSTOM`
    `DIAMOND`
    `DIRT`
    `GOLD`
    `GRAVEL`
    `IRON`
    `LAPIS`
    `QUARTZ`
    `REDSTONE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OreGenEvent.GenerateMinable.EventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OreGenEvent.GenerateMinable.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COAL

          public static final OreGenEvent.GenerateMinable.EventType COAL

    - #### DIAMOND

          public static final OreGenEvent.GenerateMinable.EventType DIAMOND

    - #### DIRT

          public static final OreGenEvent.GenerateMinable.EventType DIRT

    - #### GOLD

          public static final OreGenEvent.GenerateMinable.EventType GOLD

    - #### GRAVEL

          public static final OreGenEvent.GenerateMinable.EventType GRAVEL

    - #### IRON

          public static final OreGenEvent.GenerateMinable.EventType IRON

    - #### LAPIS

          public static final OreGenEvent.GenerateMinable.EventType LAPIS

    - #### REDSTONE

          public static final OreGenEvent.GenerateMinable.EventType REDSTONE

    - #### QUARTZ

          public static final OreGenEvent.GenerateMinable.EventType QUARTZ

    - #### CUSTOM

          public static final OreGenEvent.GenerateMinable.EventType CUSTOM

  - ### Method Detail

    - #### values

          public static OreGenEvent.GenerateMinable.EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OreGenEvent.GenerateMinable.EventType c : OreGenEvent.GenerateMinable.EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OreGenEvent.GenerateMinable.EventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null